Steam: Встановіть його на Debian Wheezy, не вмираючи намагаючись (оновлено)

Цей пост, який ви прочитаєте далі, є вдосконаленням Попереднє повідомлення, що, мабуть, було досить заплутаним щодо установки пар, і багатьом, хто хотів його встановити, було важко.

Однак ось метод, який я щойно виявив після стільких спроб (він буде нагадувати вам про спосіб встановлення Iceweasel з репо Debian Mozilla, але в кінці дня це працює):

  1. Ми додаємо функцію multiarch до нашого Debian:sudo apt-get install multiarch-support
  2. Ми додаємо підпис репо для встановлення:
    wget -O- -q http://repo.steampowered.com/steam/signature.gpg | gpg --import gpg --check-sigs --fingerprint --keyring /usr/share/keyrings/debian-keyring.gpg B05498B7 gpg --export -a B05498B7 | sudo apt-key add -

    Додати в / Etc / кв / sources.list наступний:

    deb http://repo.steampowered.com/steam precise steam

  3. Запустіть наступне:sudo apt-get install -t precise steam steam-launcher
  4. Якщо вони просять про залежності:sudo apt-get -f install

Вирішіть проблему Libc6

Проблема Steam, яка вискакує першою, полягає в основному в залежності від бібліотеки Libc6, для якої потрібна принаймні версія 2.15. Щоб уникнути проблем, ми врятуємо лише бібліотеки Libc6 Debian Jessie з наступна процедура (короткий, але функціональний):

  1. Додаємо наступний рядок до / Etc / кв / sources.list:deb http://ftp.us.debian.org/debian/ testing main contrib non-free
  2. Ми створюємо каталог, в якому він вказує пріоритети, які він має у пінгу, щоб уникнути dist-upgrade шляхом створення файлу / etc / apt / preferences з нано:
    Пакет: * Pin: origin repo.steampowered.com Пріоритет Pin: 400 Пакет: * Pin: випуск a = Тестування Пріоритет Pin -10
  3. Ми виконуємо таку команду, щоб встановити оновлений libc6:apt-get -t testing install libc6

І тому у нас Steam працює без проблем

У будь-якому випадку, я виявив цей метод завдяки тому, що я оглянув каталог репо SteamOS, в основі якої лежить Дебіан Візі. І оскільки ми не можемо витратити таку перевагу, я вирішив зробити цей урок, тепер нам більше не знадобляться залежності від Ubuntu Нічого подібного.

У будь-якому випадку, насолоджуйтесь Steam на Debian Wheezy та майбутніх версіях (тепер так).

пар

Steam на Debian 7.5 "Wheezy" (64-розрядна версія), з радістю встановлена ​​на моєму нетбуці.

Debian Jessie (і SID) мають свої репозиторії у гілці невільний a пар, якщо ви віддаєте перевагу довіряти Debian, якщо ви використовуєте ці версії згаданого дистрибутива. Крім того, цей підручник також знаходиться в кінці тексту в вставити з сайту.

Зміст статті відповідає нашим принципам редакційна етика. Щоб повідомити про помилку, натисніть тут.

20 коментарі, залиште свій

Залиште свій коментар

Ваша електронна адреса не буде опублікований. Обов'язкові для заповнення поля позначені *

*

*

  1. Відповідальний за дані: Мігель Анхель Гатон
  2. Призначення даних: Контроль спаму, управління коментарями.
  3. Легітимація: Ваша згода
  4. Передача даних: Дані не передаватимуться третім особам, за винятком юридичних зобов’язань.
  5. Зберігання даних: База даних, розміщена в мережі Occentus Networks (ЄС)
  6. Права: Ви можете будь-коли обмежити, відновити та видалити свою інформацію.

  1.   @Jlcmux - сказав він

    Що ви знаєте про SteamOS?

    1.    eliotime3000 - сказав він

      Яка вже знаходиться в бета-версії, і яка, крім того, нещодавно поставлена ​​в один ряд з Debian Wheezy 7.5.

    2.    Крістіанхд - сказав він

      що буде невдалим, якщо ви не зробите щось із партнерами та їх паровими машинами, ОС - це просто засіб для встановлення серії пакетів.

      Покращення спостерігаються в підтримці драйверів AMD / Nvidia, але все ще далекі від обіцяних, що є серйозною проблемою, оскільки пересічний користувач встановлюватиме steam, або парову ОС на свій комп’ютер, а не на парову машину із сертифікатом «апаратного забезпечення« "

  2.   cr0t0 - сказав він

    У Debian 7.4 я встановив його відповідно до https://github.com/GhostSquad57/Steam-Installer-for-Wheezy але у left4dead 2 були проблеми з гаммою, це було дуже рідко, і я не міг знайти рішення. На Lubuntu 14.04 натисніть і відтворіть. Я повернуся, дорогий Візі.

    1.    eliotime3000 - сказав він

      Ну, метод, який я зробив для встановлення Steam, отриманий безпосередньо з репозиторію SteamOS, який оптимізовано для Debian Wheezy без особливих проблем.

  3.   без назви - сказав він

    паровий пакет тестується, той, хто має стабільний, може змінити репо на тестування, щоб встановити його і повернутися до стабільного без подальших ускладнень

    1.    eliotime3000 - сказав він

      Ну, я отримав цю версію Steam безпосередньо з репозиторію SteamOS, оскільки вона набагато оптимізованіша для роботи з Debian Wheezy і, таким чином, дозволяє запускати завантажувані ігри або не мати проблем з ALSA.

  4.   Альберто Вілла - сказав він

    Чи можливо, що вони роблять підручник з того, як встановити його за допомогою GRUB, на випадок, якщо в нашому комп’ютері буде дивак Win7 з EFI?

    1.    Альберто Вілла - сказав він

      Я маю на увазі Steam OS. До речі, круто .. показує, куди я проводжу ... (ОС) .. але це робочий комп’юте𠬬

    2.    eliotime3000 - сказав він

      Інсталятор SteamOS, який поставляється в Офіційний ISOВін поставляється з GRUB, який підтримує додаткову ОС. Крім того, інсталятор SteamOS майже такий самий, як і Debian, тому не повинно бути проблемою, якщо ви встановлюєте його разом з Windows.

      На стороні UEFI ось кілька веб-сайтів, які розповідають про UEFI та про те, як встановити Debian Wheezy з UEFI (y ось ще один метод що може вам допомогти).

  5.   Альфонс - сказав він

    Я встановив Steam у Debian 7, проблема полягає в тому, що при спробі відкрити програму він запитує у мене пропуск, але він приносить ім'я користувача ПК, а не ім'я Steam. Будь-який {файл для налаштування? Це не дозволяє мені змінити ім’я користувача.

    Грекіас

    1.    eliotime3000 - сказав він

      Яким вам здається вікно Steam? Як форма для входу або та, яку термінал (або консоль), який запитує проходження користувача?

      1.    Альфонс - сказав він

        З'являється термінал.

  6.   eliotime3000 - сказав він

    Якщо з’являється термінал, запустіть у своєму терміналі два рядки:

    wget http://dl.dropbox.com/u/29081229/Steam/debian_install.sh

    sh ./debian_install.sh

    І тому проблема з паролем користувача більше не з’являється (як правило, це з’являється, коли не встановлені залежності Jockey, які належать до репозиторіїв Ubuntu).

    1.    Альфонс - сказав він

      Я вже зробив кроки, і я досі в них. Чи потрібно буде видалити?

    2.    Альфонс - сказав він

      Він просить мене встановити наступні програми:

      libgl1-mesa-dri:i386, libgl1-mesa-glx:i386, libc6:i386

      Але коли я намагаюся це зробити, я отримую легенду: "пакунки мають невиконані залежності"

  7.   Моток - сказав він

    Привіт, дружище, тисяча спасиб, найпростіший спосіб, який я знайшов, встановив пар і чудово працює на моєму Debian Jessie

    Спасибо.

  8.   Робермгс - сказав він

    У команді apt-get install -t точний паровий пусковий апарат, який ви ставите на редагуванні пари, це було б як це привітання apt-get install -t точний паровий пусковий

  9.   Небус - сказав він

    Привіт, на жаль, я загубився на цьому кроці:

    «Ми створюємо каталог, в якому він вказує пріоритети, які він має у пінгу, щоб уникнути dist-upgrade, створивши файл / etc / apt / preferences з nano:»

    Вміст, який повинен мати файл, мені зрозумілий, але чи повинен файл створюватися в підкаталозі в etc / apt / preferences? Коли я ставлю "Ми створюємо каталог ...", я сумніваюся
    І яке ім'я повинен мати цей файл? А яке продовження?

    ^^ крім наявності пари, яка вже є, якщо мені вдасться встановити проклятий libc6 на хрип, не завантажуючи нічого, це означало б зробити для тебе вівтар богів! xP, що щаслива бібліотека потрібна багатьом аудіо- та відеопрограм, які я хочу спробувати для роботи, але поки що я перестав ризикувати.

    Спасибі заздалегідь!

  10.   Аквадраго - сказав він

    Привіт, коли я запускаю панель запуску, я отримую таку помилку:

    Читання списку пакетів ... Готово
    E: Значення "точний" недійсне для APT :: Release за замовчуванням, оскільки такий випуск недоступний у джерелах

    Як це вирішити?